<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.UseLocking Field
DatabaseEnvironmentConfig Class See Also

If true, initialize the locking subsystem.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool UseLocking

Visual Basic (Declaration)

    Public UseLocking As Boolean

Visual C++

    public:
    bool UseLocking

# Remarks

This subsystem should be used when multiple processes or threads are going to be reading and writing a Berkeley DB database, so that they do not interfere with each other. If all threads are accessing the database(s) read-only, locking is unnecessary. When UseLocking is specified, it is usually necessary to run a deadlock detector, as well. See DetectDeadlocks(DeadlockPolicy) for more information.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace